Storyden
Plugins

Plugin Set Active State

Change the active state of a plugin. This operation only applies to supervised plugins. - `active`: starts the supervised plugin process. - `inactive`: stops the supervised plugin process. External plugins cannot be managed with this endpoint and will return a bad request error.

PATCH/plugins/{plugin_instance_id}/active

Change the active state of a plugin.

This operation only applies to supervised plugins.

  • active: starts the supervised plugin process.
  • inactive: stops the supervised plugin process.

External plugins cannot be managed with this endpoint and will return a bad request error.

Authorization

storyden-session<token>

In: cookie

Path Parameters

plugin_instance_id*string

Plugin ID.

Formatxid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/plugins/string/active" \  -H "Content-Type: application/json" \  -d '{    "active": "inactive"  }'
{  "id": "string",  "added_at": "2019-08-24T14:15:22Z",  "name": "string",  "description": "string",  "version": "string",  "status": {    "active_state": "inactive",    "deactivated_at": "2019-08-24T14:15:22Z"  },  "manifest": {},  "connection": {    "mode": "supervised"  }}